<template v-if="statsByContributors.length">
  <div class="leaderboard">
    <div class="entry-header-leaderboard">
      <div v-if="statsByContributors" class="wrapper-podium">
        <Podium
          v-if="statsByContributors[1]?.id"
          :user-id="statsByContributors[1].id"
          :name="statsByContributors[1].name"
          :pictures="statsByContributors[1].nb_items"
          image="unicorn.svg"
          look="podium-two"
        >
          <template v-slot:medal>
            <img
              src="@/assets/images/silver-medal.svg"
              loading="lazy"
              class="medal"
            />
          </template>
        </Podium>
        <Podium
          v-if="statsByContributors[0]?.id"
          :user-id="statsByContributors[0].id"
          :name="statsByContributors[0].name"
          :pictures="statsByContributors[0].nb_items"
          image="lion.svg"
          look="podium-one"
        >
          <template v-slot:medal>
            <img
              src="@/assets/images/or-medal.svg"
              loading="lazy"
              class="medal"
            />
          </template>
        </Podium>
        <Podium
          v-if="statsByContributors[2]?.id"
          :user-id="statsByContributors[2].id"
          :name="statsByContributors[2].name"
          :pictures="statsByContributors[2].nb_items"
          look="podium-three"
          image="rabbit.svg"
        >
          <template v-slot:medal>
            <img
              src="@/assets/images/bronze-medal.svg"
              loading="lazy"
              class="medal"
            />
          </template>
        </Podium>
      </div>
    </div>
  </div>
</template>

<script lang="ts" setup>
import Podium from '@/components/Podium.vue'
import type { StatsByContributor } from '@/interfaces/leaderboard'
defineProps<{
  statsByContributors: StatsByContributor[]
}>()
</script>

<style scoped lang="scss">
.entry-header-leaderboard {
  margin-top: 10rem;
  display: flex;
}
.leaderboard {
  width: 100%;
}
.wrapper-podium {
  display: flex;
  justify-content: center;
  align-items: flex-end;
  height: 40rem;
  width: 100%;
  padding-top: 2rem;
}
.medal {
  height: 30%;
}
@media (max-width: 500px) {
  .wrapper-podium {
    height: 25rem;
  }
  .medal {
    height: 20%;
  }
}
</style>
